// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package tests

import (
	"context"
	v1 "adm-task/pb/v1"
	"testing"

	jsoniter "github.com/json-iterator/go"
)

var json = jsoniter.ConfigCompatibleWithStandardLibrary

func Test_HelloV1(t *testing.T) {
	r, err := client.SayHelloV1(context.Background(), &v1.HelloRequest{Name: "world"})
	if err == nil {
		s, _ := json.MarshalToString(r)
		t.Log(s)
	} else {
		t.Error("failed to call: ", err)
	}
}
